package com.caimei365.user.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/10
 */
@Mapper
public interface BaseMapper {
    /**
     * 根据邮箱获取用户id
     *
     * @param email 邮箱
     * @return userId
     */
    Integer getUserIdByEmail(@Param("email") String email);
    /**
     * 根据手机号获取用户Id
     *
     * @param mobile 手机号
     * @return 用户Id
     */
    Integer getUserIdByMobile(@Param("mobile") String mobile);
    /**
     * 根据手机号获取运营人员Id
     *
     * @param mobile 手机号
     * @return userId
     */
    Integer getOperationIdByMobile(@Param("mobile") String mobile);
}
