package com.caimei365.user.mapper;

import com.caimei365.user.model.po.ClubPo;
import com.caimei365.user.model.po.OperationPo;
import com.caimei365.user.model.po.ShopPo;
import com.caimei365.user.model.po.UserPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/8
 */
@Mapper
public interface RegisterMapper {
    /**
     * 保存(机构)用户（user）
     * @param user
     * @return
     */
    int insertClubUser(UserPo user);
    /**
     * 保存机构（club）
     * @param club
     * @return
     */
    int insertClub(ClubPo club);
    /**
     * 保存运营人员（operation）
     * @param operation
     * @return
     */
    int insertOperation(OperationPo operation);
    /**
     * 保存(供应商)用户（user）
     * @param user
     * @return
     */
    void insertShopUser(UserPo user);
    /**
     * 保存供应商（shop）
     * @param shop
     * @return
     */
    int insertShop(ShopPo shop);
    /**
     * 根据用户ID更新机构ID
     *
     * @param userId
     * @param clubId
     */
    void updateUserClubId(@Param("userId") Integer userId, @Param("clubId")  Integer clubId);
    /**
     * 根据用户ID更新供应商ID
     *
     * @param userId
     * @param shopId
     */
    void updateUserShopId(@Param("userId") Integer userId, @Param("shopId")  Integer shopId);
    /**
     * 升级机构 更新user
     * @param user
     */
    void updateClubUserByUpgrade(UserPo user);
    /**
     * 升级机构 更新club
     * @param club
     */
    void updateClubByUpgrade(ClubPo club);
}
